<!--
  Copyright: (c) 2020-2021, VTK Gent vzw
  GNU Affero General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/agpl-3.0.txt)
-->

<template>
  <div>
    <!-- Main column for the one-column layout -->
    <v-col>
      <!-- Short introduction -->
      <v-row>
        <v-col>
          <v-row>
            <h1>{{ $t('about.title1') }}</h1>
          </v-row>
          <v-row>
            <p>
              {{ $t('about.what') }}
            </p>
          </v-row>
        </v-col>
      </v-row>

      <!-- Banner  -->
      <v-row>
        <v-col class="col-4">
          <v-img :src="require('~/assets/img/about/vtk_logo.png')" height="200" contain />
        </v-col>
        <v-col class="col-4">
          <v-img :src="require('~/assets/img/about/gsr_logo.png')" height="200" contain />
        </v-col>
        <v-col class="col-4">
          <v-img :src="require('~/assets/img/about/fk_logo.png')" height="200" contain />
        </v-col>
      </v-row>

      <!-- Giving credit -->
      <v-row>
        <v-col>
          <v-row>
            <h1>{{ $t('about.title_who') }}</h1>
          </v-row>
          <v-row>
            <h2>{{ $t('about.vtk_title') }}</h2>
          </v-row>
          <v-row>
            <p>
              {{ $t('about.vtk_info') }}
            </p>
          </v-row>
          <v-row>
            <h2>{{ $t('about.gsr_title') }}</h2>
          </v-row>
          <v-row>
            <p>
              {{ $t('about.gsr_info') }}
            </p>
          </v-row>
          <v-row>
            <h2>{{ $t('about.fk_title') }}</h2>
          </v-row>
          <v-row>
            <p>
              {{ $t('about.fk_info') }}
            </p>
          </v-row>
        </v-col>
      </v-row>

      <!-- FAQ -->
      <v-row>
        <v-col>
          <v-row>
            <h1>{{ $t('about.faq_title') }}</h1>
          </v-row>
          <v-row>
            <h2>{{ $t('about.faq_q_1') }}</h2>
          </v-row>
          <v-row>
            <p>
              {{ $t('about.faq_a_1') }}
            </p>
          </v-row>
          <v-row>
            <h2>{{ $t('about.faq_q_2') }}</h2>
          </v-row>
          <v-row>
            <p>{{ $t('about.faq_a_2') }}</p>
          </v-row>
          <v-row>
            <h2>{{ $t('about.faq_q_3') }}</h2>
          </v-row>
          <v-row>
            <p>
              {{ $t('about.faq_a_3') }}
            </p>
          </v-row>
          <v-row>
            <h2>{{ $t('about.faq_q_4') }}</h2>
          </v-row>
          <v-row>
            <p>{{ $t('about.faq_a_4') }}</p>
          </v-row>
        </v-col>
      </v-row>

      <!-- Contact -->
      <v-row>
        <v-col>
          <v-row>
            <h1>{{ $t('about.contact_title') }}</h1>
          </v-row>
          <v-row>
            <p>
              {{ $t('about.contact_info') }}
            </p>
          </v-row>
        </v-col>
      </v-row>
    </v-col>
  </div>
</template>

<script lang="ts">
import { defineComponent, useMeta } from '@nuxtjs/composition-api'

export default defineComponent({
  auth: false,
  setup() {
    // SEO
    useMeta(() => ({
      title: 'About',
    }))
  },

  // Empty head for useMeta
  head: {},
})
</script>
